package com.sd.business.entity.in.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 出入库bom
 * </p>
 *
 * @author
 * @since 2023-12-11
 */
@Getter
@Setter
@TableName("in_out_storage_bom")
public class InOutStorageBom extends BasePo {

    /**
     * 出入库id
     */
    private Long inOutStorageId;

    /**
     * 分类类型 1原料 2包材
     */
    private Integer classifyType;

    /**
     * bom规格id
     */
    private Long bomSpecId;

    /**
     * 数量
     */
    private BigDecimal quantity;

    /**
     * 米数
     */
    private BigDecimal meter;

}
